package com.bjtdba.entity.system;

import java.io.Serializable;
import java.util.Date;

/**
 * 组合数据表(SystemGroup)实体类
 *
 * @author makejava
 * @since 2022-10-16 09:22:04
 */
public class SystemGroup implements Serializable {
    private static final long serialVersionUID = 730044963741049238L;
    /**
     * 组合数据ID
     */
    private Integer groupId;
    /**
     * 数据组名称
     */
    private String groupName;
    /**
     * 数据提示
     */
    private String groupInfo;
    /**
     * 数据字段
     */
    private String groupKey;
    /**
     * 数据组字段以及类型（json数据）
     */
    private String fields;
    /**
     * 0=总后台配置 1=商户后台配置
     */
    private Integer userType;
    /**
     * 排序
     */
    private Integer sort;
    
    private Date createTime;


    public Integer getGroupId() {
        return groupId;
    }

    public void setGroupId(Integer groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupInfo() {
        return groupInfo;
    }

    public void setGroupInfo(String groupInfo) {
        this.groupInfo = groupInfo;
    }

    public String getGroupKey() {
        return groupKey;
    }

    public void setGroupKey(String groupKey) {
        this.groupKey = groupKey;
    }

    public String getFields() {
        return fields;
    }

    public void setFields(String fields) {
        this.fields = fields;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

